package cn.wisenergy.model.enums;

public enum WorkOrderType {
    PROJECT(1, "项目"),

    BUSINESS(2, "商机"),

    LEAVE(3, "请假"),

    CONMPENSATORY_LEAVE(4, "调休"),

    EXTERNAL_WORK(5, "外部商务、技术交流"),

    INTERNAL_WORK(6, "内部培训、技术准备、管理"),

    OTHER_NOT_PROJECT_BUSINESS(7, "其他非项目、商机工作");


    private Integer code;

    private String desc;

    WorkOrderType(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
